Subject: bug#20752: 24.3; Display of combining characters on OS X after 24.3

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Sun, 07 Jun 2015 18:11:12 +0900

>>>>> On Sat, 6 Jun 2015 20:19:36 +0100, Pavel Iosad <[email-masked]> said:

> Here's the output of C-u C-x = under 24.3.1 (using b̈ as an example)

> Composed with the following character(s) "̈" using this font:
>   nil:-apple-Menlo-medium-normal-normal-*-12-*-*-*-m-0-iso10646-1
> by these glyphs:
>   [0 1 98 69 7 0 7 9 0 nil]
>   [0 1 776 653 7 0 5 1 0 [-6 0 0]]

> And in 24.5.1 (note that when yanked it still says "composed to form b̈"
> correctly, i.e. the string is intact, but it doesn't show the diacritic)

> Composed with the following character(s) "̈" using this font:
>   mac-ct:-*-Menlo-normal-normal-normal-*-12-*-*-*-m-0-iso10646-1
> by these glyphs:
>   [0 1 98 69 7 0 7 10 1 [0 0 0]]
>   [0 1 776 653 7 1 6 10 -7 [0 -2 7]]

Notice the difference of font backend drivers: nil for 24.3 and mac-ct
for 24.5.  The latter is originally developed for the Mac port and it
supports text shaping via Core Text layout engine in OS X.  The mac-ct
backend driver was incorporated for the NS port in Emacs 24.4.  Below
is the corresponding entry in etc/NEWS:

  * Changes in Emacs 24.4 on Non-Free Operating Systems

  ** New Core Text based font backend for Mac OS X 10.5 and newer.
  To use the old font backend, use the following on the command line:
    % defaults write org.gnu.Emacs FontBackend ns
  GNUstep and Mac OS X 10.4 use the old font backend.

There was a bug in the composition string display code of the NS port
(not in the font backend driver itself), and it is supposed to be
fixed in the trunk:

  http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20537

Actually, I couldn't reproduce the bug you described with the trunk.
So, I think this is a duplicate of Bug#20537.

				     YAMAMOTO Mitsuharu
				[email-masked]